package guitplugin;

import com.sun.mirror.apt.AnnotationProcessor;
import com.sun.mirror.apt.AnnotationProcessorEnvironment;
import com.sun.mirror.apt.AnnotationProcessorFactory;
import com.sun.mirror.declaration.AnnotationTypeDeclaration;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Collections;
import java.util.Set;

public class GuitPresenterProcessorFactory implements AnnotationProcessorFactory {

    public Collection<String> supportedOptions() {
        return Collections.emptyList();
    }

    public Collection<String> supportedAnnotationTypes() {
        return annotations;
    }

    public AnnotationProcessor getProcessorFor(Set<AnnotationTypeDeclaration> atds, AnnotationProcessorEnvironment env) {
        return new GuitPresenterProcessor(env);
    }

    public static ArrayList<String> annotations = new ArrayList<String>();
    {
        annotations.add("com.guit.client.apt.EnableGuitValidation");
        annotations.add("com.guit.client.apt.GwtPresenter");
        annotations.add("com.guit.client.apt.GwtWidget");
        annotations.add("com.guit.client.apt.GwtController");
    }
}
